com.intellectualcrafters.plot.listeners

## Class WorldGuardListener

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.WorldGuardListener

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class WorldGuardListener
      extends java.lang.Object
      implements org.bukkit.event.Listener

  Created by Citymonstret on 2014-09-24.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<com.sk89q.worldguard.protection.flags.Flag<?>>` | `flags`
    `java.util.ArrayList<java.lang.String>` | `str_flags`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldGuardListener(PlotMain plugin)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFlag(org.bukkit.entity.Player requester, org.bukkit.World world, Plot plot, java.lang.String key, java.lang.String value)`
    `void` | `changeOwner(org.bukkit.entity.Player requester, java.util.UUID owner, org.bukkit.World world, Plot plot)`
    `void` | `onMerge(PlotMergeEvent event)`
    `void` | `onPlotClaim(PlayerClaimPlotEvent event)`
    `void` | `onPlotDelete(PlotDeleteEvent event)`
    `void` | `onUnlink(PlotUnlinkEvent event)`
    `void` | `removeFlag(org.bukkit.entity.Player requester, org.bukkit.World world, Plot plot, java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### str_flags

          public java.util.ArrayList<java.lang.String> str_flags

    - #### flags

          public java.util.ArrayList<com.sk89q.worldguard.protection.flags.Flag<?>> flags

  - ### Constructor Detail

    - #### WorldGuardListener

          public WorldGuardListener(PlotMain plugin)

  - ### Method Detail

    - #### changeOwner

          public void changeOwner(org.bukkit.entity.Player requester,
                         java.util.UUID owner,
                         org.bukkit.World world,
                         Plot plot)

    - #### removeFlag

          public void removeFlag(org.bukkit.entity.Player requester,
                        org.bukkit.World world,
                        Plot plot,
                        java.lang.String key)

    - #### addFlag

          public void addFlag(org.bukkit.entity.Player requester,
                     org.bukkit.World world,
                     Plot plot,
                     java.lang.String key,
                     java.lang.String value)

    - #### onMerge

          public void onMerge(PlotMergeEvent event)

    - #### onUnlink

          public void onUnlink(PlotUnlinkEvent event)

    - #### onPlotClaim

          public void onPlotClaim(PlayerClaimPlotEvent event)

    - #### onPlotDelete

          public void onPlotDelete(PlotDeleteEvent event)